package com.ruoyi.hezhi.mapper;

import com.ruoyi.hezhi.domain.TbStudyCenter;
import com.ruoyi.hezhi.domain.vo.StudyCenterVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 学习中心Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-21
 */
public interface TbStudyCenterMapper
{
    /**
     * 查询学习中心
     *
     * @param studyCenterId 学习中心主键
     * @return 学习中心
     */
    public TbStudyCenter selectTbStudyCenterByStudyCenterId(Long studyCenterId);
    /**
     * 查询学习中心
     *
     * @param studyCenterName 学习中心主键
     * @return 学习中心
     */
    public TbStudyCenter selectTbStudyCenterByStudyCenterName(String studyCenterName);

    /**
     * 查询学习中心列表
     *
     * @param tbStudyCenter 学习中心
     * @return 学习中心集合
     */
    public List<TbStudyCenter> selectTbStudyCenterList(TbStudyCenter tbStudyCenter);

    /**
     * 查询学习中心列表
     *
     * @return 学习中心集合
     */
    public List<StudyCenterVO> getAllStudyCenterList();

    /**
     * 新增学习中心
     *
     * @param tbStudyCenter 学习中心
     * @return 结果
     */
    public int insertTbStudyCenter(TbStudyCenter tbStudyCenter);

    /**
     * 修改学习中心
     *
     * @param tbStudyCenter 学习中心
     * @return 结果
     */
    public int updateTbStudyCenter(TbStudyCenter tbStudyCenter);

    /**
     * 删除学习中心
     *
     * @param studyCenterId 学习中心主键
     * @return 结果
     */
    public int deleteTbStudyCenterByStudyCenterId(Long studyCenterId);

    /**
     * 批量删除学习中心
     *
     * @param studyCenterIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbStudyCenterByStudyCenterIds(Long[] studyCenterIds);

    /**
     * 查询学习中心
     *
     * @param enterpriseName 企业名称
     * @param businessLicenseCreditCode 营业执照信用代码
     * @return 结果
     */
    public TbStudyCenter selectTbStudyCenterBy(@Param("enterpriseName") String enterpriseName, @Param("businessLicenseCreditCode") String businessLicenseCreditCode);

    /**
     * 学习中心列表
     *
     * @param params 参数
     * @return 学习中心列表
     */
    public List<Map<String, Object>> getStudyCenterList(Map<String, Object> params);

    /**
     * 学习中心详情
     *
     * @param params 参数
     * @return 学习中心详情
     */
    public Map<String, Object> getStudyCenterInfo(Map<String, Object> params);

    /**
     * getStudyListByCourse
     *
     * @param courseId 课程id
     * @return List<StudyCenterVO>
     */
    List<StudyCenterVO> getStudyListByCourse(@Param("courseId") Long courseId);

    StudyCenterVO getNearbyStudyCenter(@Param("latitude")String latitude,@Param("longitude") String longitude);
}
